# `taurus.core.units`

This module provides a pint unit registry instance (UR) to be used by all taurus objects. It also provides the Quantity factory from that registry (also aliased as Q_).

Classes

Q_

  (more info) alias of `Quantity`

class Quantity(value: MagnitudeT, units: UnitLike | None = None)
class Quantity(value: str, units: UnitLike | None = None)
class Quantity(value: Sequence[ScalarT], units: UnitLike | None = None)
class Quantity(value: PlainQuantity[Any], units: UnitLike | None = None)

  (more info)

Variables

UR